aboutsummaryrefslogtreecommitdiffstats
path: root/main/libzdb/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2014-10-31 11:52:24 +0100
committerCarlo Landmeter <clandmeter@gmail.com>2014-10-31 11:52:24 +0100
commit74620c96e881cc849c347c2018c451cf0a1f418f (patch)
tree6e8eb458943e2ea3440a802b752a72038246f288 /main/libzdb/APKBUILD
parentbd40d543bcea6700c99518d1dda8e9c82e3449bf (diff)
downloadaports-74620c96e881cc849c347c2018c451cf0a1f418f.tar.gz
aports-74620c96e881cc849c347c2018c451cf0a1f418f.tar.bz2
aports-74620c96e881cc849c347c2018c451cf0a1f418f.tar.xz
testing/libzdb: move to main
Diffstat (limited to 'main/libzdb/APKBUILD')
-rw-r--r--main/libzdb/APKBUILD47
1 files changed, 47 insertions, 0 deletions
diff --git a/main/libzdb/APKBUILD b/main/libzdb/APKBUILD
new file mode 100644
index 0000000000..c38d057dee
--- /dev/null
+++ b/main/libzdb/APKBUILD
@@ -0,0 +1,47 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer:
+pkgname=libzdb
+pkgver=2.12
+pkgrel=0
+pkgdesc="A thread-safe high level multi-database connection pool library"
+url="http://www.tildeslash.com/libzdb/"
+arch="all"
+license="GPL"
+depends=
+depends_dev="flex-dev sqlite-dev mysql-dev postgresql-dev"
+makedepends="$depends_dev flex"
+install=""
+subpackages="$pkgname-dev"
+source="http://www.tildeslash.com/libzdb/dist/libzdb-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --enable-optimized \
+ --infodir=/usr/share/info
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm "$pkgdir"/usr/lib/*.la || return 1
+}
+
+md5sums="dd95114cae471d1b5dfda1f263b222c1 libzdb-2.12.tar.gz"
+sha256sums="37e6bd3d8254be7d8fe1419cf0500b9006783d0e3544eeeffc5e6954cbcd07d4 libzdb-2.12.tar.gz"
+sha512sums="d2fbf7e0d7a8f37f8ce3404a0bf249165daafb54dfff31e6c7cea964b8360c1322bcd8cdc97a0ec8fec0a3be5bbe4f1690cb36a956bbcbea7b6a795655089f6f libzdb-2.12.tar.gz"